QGIS Application - Bug report #14276
CRS axes flipping with QGIS WMS
2016-02-10 11:42 PM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.8.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 22270
Description

| have QGIS 2.8 server

When | use QGIS (2.8.6) as a client, requests in EPSG:3857 work fine but requests in EPSG:4326 have their axes flipped and so of
course have completely incorrect extent and also do not render.

GetMap responses are working in js client in EPSG:3857. | have not tried in EPSG:4326

I'm not sure if this is a bug on the server or client side...

History

#1 - 2016-02-13 05:36 PM - Antonio Locandro

Is your data coordinates order long lat or lat long? What version of WMS are you using. Maybe this is happening
https://viswaug.wordpress.com/2009/03/15/reversed-co-ordinate-axis-order-for-epsg4326-vs-crs84-when-requesting-wms-130-images/

#2 - 2016-02-13 08:54 PM - Gavin Fleming

mmm, that could be the case.

Ifitis, it would be hard to test in QGIS because CRS:84 is not a listed CRS (afaict) so how would one set it in the server OWS properties and in the client

request properties?

Also, if QGIS supports WMS 1.1 and 1.3 then it should be possible to configure the server to respond appropriately depending on which version is being

requested. Like: "If 4326 in 1.1 is being requested, return 4326 but if 4326 is being requested in 1.3 then return CRS:84"

#3 - 2016-02-14 10:56 AM - Jukka Rahkonen

The bug is on the server side. In WMS 1.3.0 the axis order of BBOX for EPSG:4326 is Latitude-Longitude. However, you should be able to use the buggy

server by checking the "Ignore axis order (WMS 1.3.0/WMTS)" box in the WMS Connection details page.

#4 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#5 - 2017-05-07 06:44 AM - Tudor Barascu
https://viswaug.wordpress.com/2009/03/15/reversed-co-ordinate-axis-order-for-epsg4326-vs-crs84-when-requesting-wms-130-images/

@Gavin Can you confirm the issue is still present on newer versions?

If so, can you provide a project with test data?

| use projects with reverse axis projection without a problem (Server and Desktop side).
#6 - 2017-05-08 10:59 AM - Giovanni Manghi

- Description updated

- Status changed from Open to Feedback

#7 - 2017-05-26 05:19 PM - Giovanni Manghi

- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback.
